## ruby-actionpack-2.3 2.3.14

=== debian/changelog ===
ruby-actionpack-2.3 (2.3.14-5) unstable; urgency=high

  * [CVE-2013-1855]: Fix XSS vulnerability in sanitize_css in Action Pack
  * [CVE-2013-1857]: Fix XSS Vulnerability in the sanitize helper of Ruby on Rails

 -- Ondřej Surý <ondrej@debian.org>  Tue, 19 Mar 2013 09:26:18 +0100

ruby-actionpack-2.3 (2.3.14-4) unstable; urgency=low

  * Team upload.
  * debian/control.in:
    - Bumped standards-version to 3.9.3.
    - Bumped build-dependency on gem2deb to >= 0.3.0~.
    - Dropped unneeded alternative depends on lib*-ruby packages.
    - Changed conflicts into breaks.
  * debian/copyright: fixed to to fit the Debian copyright format version 1.0.

 -- Paul van Tilburg <paulvt@debian.org>  Fri, 29 Jun 2012 19:49:39 +0200

ruby-actionpack-2.3 (2.3.14-3) unstable; urgency=low

  * Fix vulnerability for users that generate their own options tags for
    use with the select helper in Ruby On Rails [CVE-2012-1099]
    (Closes: #668607)

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Apr 2012 15:39:31 +0200

ruby-actionpack-2.3 (2.3.14-2) unstable; urgency=low

  * Disable load magic, use system ruby libraries

 -- Ondřej Surý <ondrej@debian.org>  Mon, 22 Aug 2011 19:09:36 +0200

ruby-actionpack-2.3 (2.3.14-1) unstable; urgency=low

  * Imported Upstream version 2.3.14
  * Add debian/control dependency on metadata.yml, so it does get
    rebuild on new upstream version
  * Update debian/control dependencies on 2.3.14

 -- Ondřej Surý <ondrej@debian.org>  Mon, 22 Aug 2011 14:28:24 +0200

ruby-actionpack-2.3 (2.3.11-2) unstable; urgency=low

  * Depend on versioned ruby-activesupport-2.3
  * Use manual RAILS_VERSION in debian/rules to generate dependencies
    between rails packages

 -- Ondřej Surý <ondrej@debian.org>  Fri, 03 Jun 2011 13:58:35 +0200

ruby-actionpack-2.3 (2.3.11-1) unstable; urgency=low

  * Convert package to gem2deb format
  * Split the package to individual gems instead of one big bundle
  * Rename ruby-actionpack to ruby-actionpack-2.3
  * Move the package under the pkg-ruby-extras umbrella

 -- Ondřej Surý <ondrej@debian.org>  Sat, 28 May 2011 22:07:03 +0200

rails (2.3.11-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Imported Upstream version 2.3.11
    + Fix for CVE-2011-0446 and CVE-2011-0447

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 May 2011 12:41:54 +0200

rails (2.3.5-1.2) unstable; urgency=high

  * Non-maintainer upload.

  [ Laurent Bigonville ]
  * Fix documentation about default listening address (Closes: #583149)

  [ Gunnar Wolf ]
  * Modified a string that recommends the user to do Very Bad Things
    (Closes: #603048)

 -- Mehdi Dogguy <mehdi@debian.org>  Mon, 27 Dec 2010 20:38:02 +0100

rails (2.3.5-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Added missing build-dependencies for rails-ruby1.8 on libactionpack-
    ruby1.8, libactionmailer-ruby1.8 and libactiveresource-ruby1.8
    (Closes: #587048)
  * Fixed broken symlink to railties on new project generator (Closes:
    #583219)

 -- Gunnar Wolf <gwolf@debian.org>  Thu, 26 Aug 2010 12:36:28 -0500

rails (2.3.5-1) unstable; urgency=low

  * New upstream release (closes: #547658)
  * Package is now split up and non-core rails components, like AR, are on
    the ruby load path. (closes: #469524, #517328)
  * debian/control
    + Depend on rubygems.
    + Suggest thin or thin1.8 as a possible server to run your production
      environment on. This is particularly useful if it is already being
      proxied.
    + xml-simple is no longer used by rails
    + Updated Standard to 3.8.4

 -- Adam Majer <adamm@zombino.com>  Sun, 23 May 2010 01:21:31 -0500

rails (2.2.3-1) unstable; urgency=high

  * New upstream release (closes: #545063)
    + Fixes XSS security hole [CVE-2009-3009]
    + Fixes timing issue with cookie store [CVE-2009-3086]
  * Remove dependency on ruby-dbi, as it is not required by any of the
    sources.
  * Correct dependency on fixed libxml-simple-ruby to 1.0.11-2 or later
    (closes: #538982)
  * debian/control
    + Change section from web to ruby
    + Updated to debhelper 7.0+
    + Standards updated to 3.8.3 - no changes

 -- Adam Majer <adamm@zombino.com>  Fri, 11 Sep 2009 13:53:42 -0500

rails (2.2.2-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depends on rubygems. (Closes: #522009)

 -- Tiago Bortoletto Vaz <tiago@debian-ba.org>  Thu, 18 Jun 2009 11:41:19 -0300

rails (2.2.2-1) unstable; urgency=low

  * New upstream release (closes: #510580, 510580)
     + fixes the problem with migration with symbolic field types 
       (closes: #511860) 
  * debian/control:
     + Depend on Rake 0.8.3 or later
     + Build-Depends-Indep on libmocha-ruby for unit tests
     + Move most of the build dependencies to Build-Depends-Indep
     + Remove the predepends as Lenny is released
  * Load XMLSimple without specifying a path (closes: #514582)
  * Add an explanation how to configure non-packaged rails adds to work
    with Debian version of rails. Also include a tiny script to help in
    this effort. Tomas Pospisek provided the patch. (closes: #499187)

 -- Adam Majer <adamm@zombino.com>  Tue, 03 Mar 2009 12:40:53 -0600

rails (2.1.0-5) unstable; urgency=high

  * Sanitize the URLs passed to redirect_to to prevent a potential
    response splitting attack. Patch from upstream.

 -- Adam Majer <adamm@zombino.com>  Sun, 19 Oct 2008 12:17:55 -0500

rails (2.1.0-4) unstable; urgency=low

  * Added a fix for binary data corruption with PostgreSQL backend. This
    occurred whenever the binary data included ASCII value of \ followed
    by three numbers.
  * The fix in ActiveRecord to address SQL injection in :limit and :offset
    was not complete. MySQL backend was still affected as it redefined the
    problematic functions. Pulled in upstream patch. CVE-2008-4094
    (closes: #500791)

 -- Adam Majer <adamm@zombino.com>  Tue, 23 Sep 2008 11:33:58 -0500

rails (2.1.0-3) unstable; urgency=high


