=== debian/control ===
Source: ruby-actionpack-2.3
Section: ruby
Priority: optional
Maintainer: Debian Ruby Extras Maintainers <pkg-ruby-extras-maintainers@lists.alioth.debian.org>
Uploaders: Ondřej Surý <ondrej@debian.org>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7.0.50~),
	       gem2deb (>= 0.3.0~),
	       ruby-activesupport-2.3 (>= 2.3.14),
	       ruby-activesupport-2.3 (<< 2.3.14.1),
	       ruby-activerecord-2.3 (>= 2.3.14),
	       ruby-activerecord-2.3 (<< 2.3.14.1),
	       ruby-rack (>= 1.1.0~)
Standards-Version: 3.9.3
Vcs-Git: git://git.debian.org/pkg-ruby-extras/ruby-actionpack-2.3.git
Vcs-Browser: http://git.debian.org/?p=pkg-ruby-extras/ruby-actionpack-2.3.git
Homepage: http://www.rubyonrails.org
XS-Ruby-Versions: all

Package: ruby-actionpack-2.3
Architecture: all
XB-Ruby-Versions: ${ruby:Versions}
Depends: ${shlibs:Depends},
	 ${misc:Depends},
	 ruby | ruby-interpreter,
	 ruby-activesupport-2.3 (>= 2.3.14),
	 ruby-activesupport-2.3 (<< 2.3.14.1),
	 ruby-activerecord-2.3 (>= 2.3.14),
	 ruby-activerecord-2.3 (<< 2.3.14.1),
	 ruby-rack (>= 1.1.0~)
Breaks: libactionpack-ruby (<< 2.3.11-1~), libactionpack-ruby1.8 (<< 2.3.11-1~)
Replaces: libactionpack-ruby (<< 2.3.11-1~), libactionpack-ruby1.8 (<< 2.3.11-1~)
Provides: libactionpack-ruby, libactionpack-ruby1.8
Description: Controller and View framework used by Rails
 Action Pack splits the response to a requests into a controller part
 (performing the logic) and a view part (rendering a template). This
 two-step approach is known as an action, which will normally create,
 read, update, or delete (CRUD for short) some sort of model part
 (often backed by a database) before choosing either to render a
 template or redirecting to another action.
 .
 It eases web-request routing, handling, and response as a half-way
 front, half-way page controller. Implemented with specific emphasis
 on enabling easy unit/integration testing that doesn't require
 a browser.
